## yehia 0.5.4-6

=== debian/changelog ===
yehia (0.5.4-6) unstable; urgency=high

  * Added missing python, python2.3-dev to build-depends.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 13 Oct 2003 13:03:39 +0200

yehia (0.5.4-5) unstable; urgency=high

  * Transitioned to Python 2.3.
    - Urgency high upload not to slow python2.3 transition.
  * Switched from CBS to CDBS.
  * Changed libgc6-dev build-dependency to libgc-dev (closes: #211343).
  * Renamed libyehia0.5-python to python-yehia, to conform to Python
    Policy.
  * Standards-Version 3.6.1 (no changes).
  
 -- Andreas Rottmann <rotty@debian.org>  Sun, 20 Jul 2003 21:05:22 +0200

yehia (0.5.4-4) unstable; urgency=low

  * Build against libsigcx 0.6.
  * Standards-Version 3.5.9.
  * Updated manual from CVS.
  * Changed sections:
    - libyehia0.5-dev: devel -> libdevel
    - libyehia0.5-python: libs -> python.
  
 -- Andreas Rottmann <rotty@debian.org>  Thu,  1 May 2003 12:43:54 +0200

yehia (0.5.4-3) unstable; urgency=low

  * Added docbook-xml to build-depends and made the XML documentation use
    a file URL for the DTD, so the build doesn't try to download it.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 27 Jan 2003 12:11:57 +0100

yehia (0.5.4-2) unstable; urgency=low

  * Added docbook-utils to build-depends.

 -- Andreas Rottmann <rotty@debian.org>  Sun, 26 Jan 2003 15:24:08 +0100

yehia (0.5.4-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Rottmann <rotty@debian.org>  Thu, 23 Jan 2003 12:30:53 +0100

yehia (0.5.3-2) unstable; urgency=low

  * Recompiled for g++ 3.2 upload of libgc6-dev (didn't realize this is an
    C++-also library).

 -- Andreas Rottmann <rotty@debian.org>  Mon, 20 Jan 2003 17:01:36 +0100

yehia (0.5.3-1) unstable; urgency=low

  * New upstream version.
    + Now the whole thing is named Yehia, so the 'ucxx' packages 
      are replaced by 'yehia' ones.
  * Use Colin's build system (CBS).

 -- Andreas Rottmann <rotty@debian.org>  Thu, 16 Jan 2003 17:39:58 +0100

yehia (0.5.1-7) unstable; urgency=low

  * Make libucxx-0.5-dev depend on its libucxx-0.5-0.

 -- Andreas Rottmann <rotty@debian.org>  Wed, 16 Oct 2002 11:51:54 +0200

yehia (0.5.1-6) unstable; urgency=low

  * Build against libsigc++-1.2-dev.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 12 Oct 2002 16:01:08 +0200

yehia (0.5.1-5) unstable; urgency=low

  * Make libucxx-0.5-dev depend on libglib2.0-dev.
  * configure.ac: Leave C++ EH check in, but comment it out.
  * Exclude plugins from being handled by dh_makeshlibs.

 -- Andreas Rottmann <rotty@debian.org>  Tue,  8 Oct 2002 18:18:36 +0200

yehia (0.5.1-4) unstable; urgency=low

  * debian/control: Build-Depend on libsigcx-gtk-0.5-dev.

 -- Andreas Rottmann <rotty@debian.org>  Sun,  6 Oct 2002 18:06:57 +0200

yehia (0.5.1-3) unstable; urgency=low

  * debian/rules: fixed dh_makshlibs '-V' version-
  * debian/rules: no more installing installdox.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 30 Sep 2002 15:36:16 +0200

yehia (0.5.1-2) unstable; urgency=low

  * libucxx-0.5-dev:
     + Fixed doc-base file.
     + Now include headers :0.

 -- Andreas Rottmann <rotty@debian.org>  Fri, 27 Sep 2002 12:55:46 +0200

yehia (0.5.1-1) unstable; urgency=low

  * New upstream release (should build now, closes: #156916).

 -- Andreas Rottmann <rotty@debian.org>  Thu, 26 Sep 2002 17:25:02 +0200

yehia (0.4.2-3) unstable; urgency=low

  * debian/rules: removed accidental 'echo' before $(MAKE).
  * libucxx-dev: Added missing dependency on libucxx1.
  
 -- Andreas Rottmann <rotty@debian.org>  Fri, 12 Jul 2002 12:37:17 +0200

yehia (0.4.2-2) unstable; urgency=low

  * Now using LIBRARY_PATH in debian/rules instead of modifiying
    Makefile.am's.
  * Rebuilt against libsigc++-1.1-4.
  * debian/rules: Also touching config.status to avoid a second configure run.
  * debian/rules: Now installing using DESTDIR instead of prefix.
  * Fixed libucxx to be linked against libsigcx.

 -- Andreas Rottmann <rotty@debian.org>  Wed, 10 Jul 2002 13:41:10 +0200

yehia (0.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 24 Jun 2002 19:43:52 +0200

yehia (0.4.0-4) unstable; urgency=low

  * Fixed *.doc-base files. (closes: #149367)
  
 -- Andreas Rottmann <rotty@debian.org>  Sun,  9 Jun 2002 17:15:35 +0200

yehia (0.4.0-3) unstable; urgency=low

  * Fixed bug in sigcx/tests/signal_handler_test.cc. (closes: #149277)
  * Made plugin packages conflict with prior versions.

 -- Andreas Rottmann <rotty@debian.org>  Fri,  7 Jun 2002 10:49:55 +0200

yehia (0.4.0-2) unstable; urgency=low

  * Fixed Build-Depends. (closes: #149092)
  * lib{sigcx|ucxx}-dev: Added examples.
  * libucxx-dev: Fixed depends (now includes binary).

 -- Andreas Rottmann <rotty@debian.org>  Thu,  6 Jun 2002 20:40:42 +0200

yehia (0.4.0-1) unstable; urgency=low

  * New upstream version.
  * Now including documentation (and registering doc-base).
  * Fixing missing ucxx/mymodule.{igd|cc}
  * Need to build-depend on autoconf, since autoheader is always invoked.
  
 -- Andreas Rottmann <rotty@debian.org>  Fri, 31 May 2002 21:53:14 +0200

yehia (0.2.1-3) unstable; urgency=low

  * libsigcx-dev: Loosened the dependency on libsigc++-dev to allow
    entering testing.
  * libucxx-dev: Added missing dependency on libglib1.2-dev.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 10 Dec 2001 11:41:54 +0100

yehia (0.2.1-2) unstable; urgency=low

  * Corrected dependencies on -dev packages.

 -- Andreas Rottmann <rotty@debian.org>  Fri,  7 Dec 2001 17:40:49 +0100

yehia (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed to build with g++ 3.0 (closes: #120139).
  * Now using guile-config (closes: #120140, 122560).
  
 -- Andreas Rottmann <rotty@debian.org>  Wed,  5 Dec 2001 20:19:16 +0100

yehia (0.2.0-4) unstable; urgency=low

  * Versioned python build-dependencies (closes: #119150).
  * Fixed sigcx/sigc++/macros/Makefile.am (closes: #119334).
  * New binary packages libucxx0-script, libsigcx0, libsigcx-dev.


