=== debian/control ===
Source: yehia
Section: devel
Priority: optional
Build-Depends: debhelper (>> 4), cdbs, autoconf (>= 2.50), pkg-config (>= 0.12), doxygen (>= 1.3.4), xmlto, libsigcx-gtk-0.6-dev (>= 0.6.3), libsigc++-1.2-dev (>= 1.2.0), libglib2.0-dev (>= 2.0.0), libgc-dev, python, python2.3-dev
Maintainer: Andreas Rottmann <rotty@debian.org>
Standards-Version: 3.6.1

Package: libyehia0.5-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Yehia - A C++ application framework - runtime
 The Yehia framework provides:
   * Plugin support
   * Easy integration of extension languages with C++ programs and libraries
   * Asynchronous IO and network programming

Package: libyehia0.5-dev
Section: libdevel
Architecture: any
Depends: libyehia0.5-0 (>= ${Source-Version}), libsigcx-0.6-dev (>= 0.6.3), libglib2.0-dev, pkg-config (>= 0.12), ${shlibs:Depends}
Description: Yehia - A C++ application framework - development
 The Yehia framework provides:
   * Plugin support
   * Easy integration of extension languages with C++ programs and libraries
   * Asynchronous IO and network programming
 .
 This package contains the development files (headers, static libraries)

Package: libyehia0.5-script-gtk
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Yehia - A C++ application framework - scripting support
 The Yehia framework provides:
   * Plugin support
   * Easy integration of extension languages with C++ programs and libraries
   * Asynchronous IO and network programming
 .
 This package includes the scripting support for libsigcx-gtk.

Package: libyehia0.5-script
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Yehia - A C++ application framework - scripting wrappers
 The Yehia framework provides:
   * Plugin support
   * Easy integration of extension languages with C++ programs and libraries
   * Asynchronous IO and network programming
 .
 This package includes the scripting wrappers for Yehia itself.

Package: libyehia0.5-python
Section: python
Architecture: any
Depends: libyehia0.5-script (>= ${Source-Version}), ${shlibs:Depends}
Description: Yehia - A C++ application framework - Python support
 The Yehia framework provides:
   * Plugin support
   * Easy integration of extension languages with C++ programs and libraries
   * Asynchronous IO and network programming
 .
 This package includes the Python support.
