=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-static --without-guile

DEB_DH_MAKESHLIBS_ARGS = -V -X"yehia.so" -X"yehia-gtk.so"

DEB_INSTALL_DOCS_ALL += -X"Makefile*" -X"*-stamp" -X"*.tags" -X"*.xml" -X"*.doxy" -X"doxy.conf"
